//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-cobertura-plugin/src/main/groovy/org/openscm/kundo/plugins/CoberturaDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;

/**
 * Cobertura Delegate
 *
 * @author <a href="mailto:ramesh.ramakrishnan@upco.co.uk">Ramesh Ramakrishnan</a>
 * @version 1.0.0

Description: Cobertura plugin performs code coverage analysis for a given project

<p>
Code Coverage using cobertura involves 4 stages. 1. Code is instrumented 2.Junit testing is done.
3. Adherence to Quality metrics is performed based on the data provided 4. Report gets generated.
For Adherence to quality, different metrics can be provided based on the package type.
If project level has a packagelinerate of 85%, for specific packages it can be provided as 95%.
This is achieved by providing packageName, branchrate and linerate in the properties in the following format.
[cobertura].[check].[index].[packageName], [cobertura].[check].[index].[linerate], [cobertura].[check].[index].[branchrate]
</p>
 */
public class CoberturaDelegate
    extends AbstractPluginTargetDelegate
{
    protected Map projectProperties = null;

    protected List srcProjectProperties = null;

    protected List testProjectProperties = null;

    protected List checkProjectProperties = null;

    protected Map indexedProps = null;

    protected java.lang.String enabled = null;

    protected java.lang.String htmlReportDir = null;

    protected java.lang.String xmlReportDir = null;

    protected java.lang.String instrumentedDir = null;

    protected java.lang.String datafileDir = null;

    protected java.lang.String datafile = null;

    protected java.lang.String branchRate = null;

    protected java.lang.String lineRate = null;

    protected java.lang.String haltOnFailure = null;

    protected java.lang.String packageBranchRate = null;

    protected java.lang.String packageLineRate = null;

    protected java.lang.String totalBranchRate = null;

    protected java.lang.String totalLineRate = null;

    protected java.lang.String maxMemory = null;

    protected java.lang.String junitPrintSummary = null;

    protected java.lang.String junitFork = null;

    protected java.lang.String junitForkMode = null;

    protected java.lang.String junitFormatter = null;

    protected java.lang.String instrumentInclude = null;

    protected java.lang.String instrumentExclude = null;

    protected java.lang.String junitInclude = null;

    protected java.lang.String junitExclude = null;

    protected java.lang.String reportInclude = null;

    protected java.lang.String reportExclude = null;

    private CoberturaDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public CoberturaDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable enabled
     *
     * @param enabled
     */
    public void setEnabled(java.lang.String enabled) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable htmlReportDir
     *
     * @param htmlReportDir
     */
    public void setHtmlReportDir(java.lang.String htmlReportDir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable xmlReportDir
     *
     * @param xmlReportDir
     */
    public void setXmlReportDir(java.lang.String xmlReportDir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable instrumentedDir
     *
     * @param instrumentedDir
     */
    public void setInstrumentedDir(java.lang.String instrumentedDir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable datafileDir
     *
     * @param datafileDir
     */
    public void setDatafileDir(java.lang.String datafileDir) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable datafile
     *
     * @param datafile
     */
    public void setDatafile(java.lang.String datafile) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable branchRate
     *
     * @param branchRate
     */
    public void setBranchRate(java.lang.String branchRate) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable lineRate
     *
     * @param lineRate
     */
    public void setLineRate(java.lang.String lineRate) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable haltOnFailure
     *
     * @param haltOnFailure
     */
    public void setHaltOnFailure(java.lang.String haltOnFailure) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable packageBranchRate
     *
     * @param packageBranchRate
     */
    public void setPackageBranchRate(java.lang.String packageBranchRate) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable packageLineRate
     *
     * @param packageLineRate
     */
    public void setPackageLineRate(java.lang.String packageLineRate) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable totalBranchRate
     *
     * @param totalBranchRate
     */
    public void setTotalBranchRate(java.lang.String totalBranchRate) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable totalLineRate
     *
     * @param totalLineRate
     */
    public void setTotalLineRate(java.lang.String totalLineRate) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable maxMemory
     *
     * @param maxMemory
     */
    public void setMaxMemory(java.lang.String maxMemory) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable junitPrintSummary
     *
     * @param junitPrintSummary
     */
    public void setJunitPrintSummary(java.lang.String junitPrintSummary) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable junitFork
     *
     * @param junitFork
     */
    public void setJunitFork(java.lang.String junitFork) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable junitForkMode
     *
     * @param junitForkMode
     */
    public void setJunitForkMode(java.lang.String junitForkMode) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable junitFormatter
     *
     * @param junitFormatter
     */
    public void setJunitFormatter(java.lang.String junitFormatter) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable instrumentInclude
     *
     * @param instrumentInclude
     */
    public void setInstrumentInclude(java.lang.String instrumentInclude) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable instrumentExclude
     *
     * @param instrumentExclude
     */
    public void setInstrumentExclude(java.lang.String instrumentExclude) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable junitInclude
     *
     * @param junitInclude
     */
    public void setJunitInclude(java.lang.String junitInclude) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable junitExclude
     *
     * @param junitExclude
     */
    public void setJunitExclude(java.lang.String junitExclude) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportInclude
     *
     * @param reportInclude
     */
    public void setReportInclude(java.lang.String reportInclude) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable reportExclude
     *
     * @param reportExclude
     */
    public void setReportExclude(java.lang.String reportExclude) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable indexedProps
     *
     * @param indexedProps Map of indexed properties to be injected
     */
    public void setIndexedProps(Map indexedProps) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * this method is automatically called.
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for performing Code coverage using Cobertura
     * This is done in 4 phases, Instrumentation code coverage, run test using Junit, perform adherence check and
     * generate Coverage report
     */
    private void cobertura() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Defines class path variables for use during testing.
     *
     * @param projectProperties Map of project properties
     */
    public java.lang.Object defineClasspath(java.lang.Object projectProperties) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for instrumenting the code
     */
    private void performInstrument() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for running JUnit test
     */
    private void performTest() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method to check if Project adheres to defined quality metrics
     */
    private void performAdherenceCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Private method for generating Report
     */
    private void generateReport() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
